#include <stdio.h>
#include <stdlib.h>
#include <math.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char *argv[]) {
	
		int x,a,n=0;
	
	scanf("%d",&x);
	
	a=x;	
	while(a>0)
	{
		a=a/10;
		n++;
	}
	printf("%d\n",n);
	
	int i,m,k=0,j,l,g;
	int y[3]={5,2,1};
	g=n;
	
	for(i=0;i<n+1;i++)
	{
		m=x/pow(10,g)*pow(10,g);
			
		for(j=0;j<3;j++)
		{

			if(m>=y[j]*pow(10,g))
			{
				k=k+m/(y[j]*pow(10,g));
				m=x-k*y[j]*pow(10,g);
			}
		}
		x=x%(int)pow(10,g);
		g--;	
	}
	
	printf("%d\n",k);
	
	return 0;
}